PO4A-NORMALIZE(1p)

NAZWA
po4a-normalize - normalizuje plik dokumentacji, przepuszczając go przez po4a i zapisując z powrotem

SKŁADNIA
po4a-normalize -f fmt master.doc

OPIS
Celem projektu po4a ("PO for anything") jest ułatwienie tłumaczeń (oraz, co ciekawsze, zarządzania tłumaczeniami) przy użyciu narzędzi gettext w tych obszarach, gdzie nie były używane, jak na przykład w obszarze dokumentacji.

Skrypt po4a-normalize jest narzędziem przydatnym do debugowania, używanym, aby mieć pewność, że po4a nie zmieni dokumentu tam, gdzie nie powinien go zmienić. Używaj tylko podczas tworzenia nowego modułu lub gdy masz wątpliwości, co do poprawności działania narzędzi po4a.

Wygenerowany dokument zostanie zapisany do pliku po4a-normalize.output, a wygenerowany plik PO będzie zapisany do po4a-normalize.po. Nie ma sposobu, by to zmienić ;)

OPCJE

-o, --option
    Dodatkowe opcje przekazywane modułowi formatu. Każda opcja powinna być w formacie "nazwa=wartość". Więcej informacji o dostępnych opcjach i ich znaczeniu można znaleźć w dokumentacji każdego modułu.

-b, --blank
    Tworzy pusty przetłumaczony dokument. Podczas generowania tłumaczenia zostanie przyjęte założenie, że wszystkie komunikaty są przetłumaczone na spację lub nową linię.

    Jest to przydatne do wykrywania części dokumentu, których nie można przetłumaczyć.

-h, --help
    Pokazuje krótki komunikat pomocy.

--help-format
    Wyświetla listę formatów dokumentacji obsługiwanych przez po4a.

-f, --format
    Format dokumentacji, którą chce się obsłużyć. Listę dostępnych formatów można wyświetlić, podając opcję --help-format.

-M, --master-charset
    Kodowanie znaków pliku zawierającego dokument do przetłumaczenia.

-V, --version
    Wyświetla wersję skryptu i kończy działanie.

ZOBACZ TAKŻE
po4a-gettextize(1), po4a-translate(1), po4a-updatepo(1), po4a(7)

AUTORZY
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TŁUMACZENIE
 Robert Luberda <robert@debian.org>

PRAWA AUTORSKIE I LICENCJA
Copyright 2002-2012 by SPI, inc.

Program jest wolnym oprogramowaniem; można go redystrybuować i/lub modyfikować zgodnie z warunkami licencji GPL (patrz plik COPYING).